Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359767 - [z-stream clone - 3.6.9] All hosts filtered out when memory underutilized parameter left out
Summary: [z-stream clone - 3.6.9] All hosts filtered out when memory underutilized par...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.7
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ovirt-3.6.9
: ---
Assignee: Yanir Quinn
QA Contact: Artyom
URL:
Whiteboard: EasyFix
Depends On: 1354281
Blocks: 1376289
TreeView+ depends on / blocked
 
Reported: 2016-07-25 12:22 UTC by rhev-integ
Modified: 2016-09-21 18:05 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Setting only one of the thresholds for power saving/evenly distributed memory based balancing (high or low) can lead to unexpected results. For example, when in power saving load balancing the threshold for memory over utilized hosts was set with a value, and the threshold for memory under utilized hosts was undefined thus getting a default value of 0. All hosts were considered as under utilized hosts and were chosen as sources for migration, but no host was chosen as a destination for migration. This has now been changed so that when the threshold for memory under utilized host is undefined, it gets a default value of Long.MAX. Now, when the threshold for memory over utilized hosts is set with a value, and the threshold for memory under utilized host is undefined, only over utilized hosts will be selected as sources for migration, and destination hosts will be hosts that are not over utilized.
Clone Of: 1354281
Environment:
Last Closed: 2016-09-21 18:05:04 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1929 normal SHIPPED_LIVE Moderate: Red Hat Virtualization Manager (RHV) bug fix 3.6.9 2016-09-21 21:57:10 UTC
oVirt gerrit 60668 master MERGED core: fix high memory limit default value 2016-08-01 09:35:42 UTC
oVirt gerrit 61370 ovirt-engine-3.6 MERGED core: fix high memory limit default value 2016-08-08 09:55:23 UTC

Comment 2 Artyom 2016-08-31 15:55:34 UTC
Verified on rhevm-setup-3.6.9-0.1.el6.noarch

Comment 5 errata-xmlrpc 2016-09-21 18:05:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1929.html


Note You need to log in before you can comment on or make changes to this bug.